GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

          • Get Organization Details
          • Batch Get Organization Details
          • Get Organization List
          • Create Organization
          • Update Organization
          • Delete Organization
          • Search Organization List
          • Get Department Info
          • Create Department
          • Update Department
          • Delete Department
          • Search Departments
          • Get Child Department List
          • Get Department Member List
          • Get Department Direct Member ID List
          • Search Department Members
          • Add Department Members
          • Remove Department Members
          • Get Parent Department Info
          • Check if User is in Department
        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Organization Management

  10. /
  11. Create Department

¶ Create a department

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Create a department by organization code, department name, parent department ID, and set various parameters.

¶ Method name

ManagementClient.create_department

¶ Request parameters

NameType
Is it required?
Default value
Description
Sample value
metadataobjectYes-Metadata information
parentDepartmentIdstringYes-Parent department id. If it is the root department, pass root6229c4deb3e4d8a20b6021ff
namestringYes-Department nameDevelopment Department
organizationCodestringYes-Organization Code (organizationCode)steamory
openDepartmentIdstringno-Custom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
descriptionstringno-Department descriptionTechnical R&D Department
codestringno-Department identification code6229c4deb3e4d8a20b6021ff
isVirtualNodebooleanno-Is it a virtual department?
i18nDepartmentI18nDtono-Multi-language settings{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNo-Extended field data of department{"icon":"https://example.com/logo"}
departmentIdTypestringNodepartment_idThe type of the parent department ID used in this calldepartment_id
postIdListstring[]No-Post id list["xxx"]
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da

¶ Request Response

Type: DepartmentSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataDepartmentDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "RD",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "RD Desc",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

¶ Data Structure

¶ DepartmentI18nDto

NameType
Is it required?
Description
Sample value
nameYesMulti-language-supported fields Nested type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Is it required?
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Closed by default)
valuestringyesMultilingual content

¶ DepartmentDto

NameType
Is it required?
Description
Sample value
organizationCodestringyesOrganization Code (organizationCode)steamory
departmentIdstringyesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringyesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringnomodification time2022-07-03T03:20:30.000Z
openDepartmentIdstringnocustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringyesdepartment nameDevelopment Department
leaderUserIdsarraynodepartment head ID["60b49eb83fd80adb96f26e68"]
descriptionstringnodepartment descriptionTechnical R&D Department
parentDepartmentIdstringyesparent department ID, if it is a root department, pass root6229c4deb3e4d8a20b6021ff
codestringNoDepartment ID6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesParent department codetest
membersCountnumberyesNumber of department members (only direct members)11
hasChildrenbooleanyesWhether to include child departmentstrue
isVirtualNodebooleannoWhether it is a virtual department
i18nnoMulti-language settings Nested type: DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
postsarrayNoPositions associated with department
postIdListarrayNoPosition id list["xxx"]
statusbooleanNoDepartment statusfalse
allowstringNoAccess restriction["xxx"]

¶ DepartmentI18nDto

NameType
Is it required?
Description
Sample value
nameYesMulti-language supported fields Nested type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Required
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nested type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanYesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringYesMultilingual content
Previous article: Get Department Info Next article: Update Department
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.